Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: YAST doen't open after i load a repository on version 12.3

  1. #1

    Default YAST doen't open after i load a repository on version 12.3

    Hello,

    i have distractly load a all repository on my machine from a party i was looking for a file and now when i try to open

    yast it say me

    terminate called after throwing an instance of 'YUIPluginException'
    what(): Couldn't load plug-in qt
    YaST got signal 6 at YCP file Wizard.ycp:720
    /sbin/yast2: line 431: 4026 Annullato $ybindir/y2base $module "$@" "$SELECTED_GUI" $Y2_GEOMETRY $Y2UI_ARGS

    4026 annullato means 4026 off
    I could not understand which plugin it is so that i can try to remove with apper or downgrade.

    When i try to open thunderbird also it crash at start up. But some functionality works fine like libre office and firefox.

    Is there a way to set back all the modify and will it be convinient?

    Thanks

    GM

  2. #2

    Default Re: YAST doen't open after i load a repository on version 12.3

    Quote Originally Posted by GabrieleMartino View Post
    terminate called after throwing an instance of 'YUIPluginException'
    what(): Couldn't load plug-in qt
    YaST got signal 6 at YCP file Wizard.ycp:720
    /sbin/yast2: line 431: 4026 Annullato $ybindir/y2base $module "$@" "$SELECTED_GUI" $Y2_GEOMETRY $Y2UI_ARGS
    Apparently you have an incompatible mix of packages there.
    Please post your repo list:
    Code:
    zypper lr -d
    I think the easiest way to recover would be to remove/disable all additional repos and run "zypper dup".

  3. #3

    Default Re: YAST doen't open after i load a repository on version 12.3

    Quote Originally Posted by wolfi323 View Post
    Apparently you have an incompatible mix of packages there.
    Please post your repo list:
    Code:
    zypper lr -d
    I think the easiest way to recover would be to remove/disable all additional repos and run "zypper dup".
    i set beetween () the english traslation
    gabriele@linux-2zq7:~> zypper lr -d
    # | Alias | Nome (Name)| Abilitato (On) | Aggiornamento (Update) | Priorità (priority)| Tipo (type) | URI | Servizio (service)
    ---+--------------------------------+------------------------------------------------+-----------+---------------+----------+--------+-------------------------------------------------------------------------------------------+---------
    1 | Mono | Mono | Sì | Sì | 99 | rpm-md | http://download.mono-project.com/dow.../openSUSE_11.4 |
    2 | PlayOnlinux | PlayOnlinux | Sì | Sì | 99 | rpm-md | http://download.opensuse.org/reposit...openSUSE_12.3/ |
    3 | Play_On_Linux | Play On Linux | Sì | Sì | 99 | yast2 | http://download.opensuse.org/distrib...12.3/repo/oss/ |
    4 | SuSE | SuSE | Sì | Sì | 99 | rpm-md | http://download.videolan.org/pub/vlc/SuSE/12.2/ |
    5 | VLC | VLC | Sì | Sì | 99 | rpm-md | http://download.videolan.org/pub/vlc/SuSE/12.2 |
    6 | Wine | Wine | Sì | Sì | 99 | rpm-md | http://download.opensuse.org/reposit...openSUSE_12.3/ |
    7 | devel:tools:scm:svn | devel:tools:scm:svn | Sì | Sì | 99 | rpm-md | http://download.opensuse.org/reposit...openSUSE_12.2/ |
    8 | download.opensuse.org-database | openSUSE BuildService - Database | Sì | Sì | 99 | rpm-md | http://download.opensuse.org/reposit...openSUSE_12.2/ |
    9 | download.opensuse.org-games | openSUSE BuildService - Giochi | Sì | Sì | 99 | rpm-md | http://download.opensuse.org/reposit...openSUSE_12.2/ |
    10 | download.opensuse.org-php | openSUSE BuildService - PHP | Sì | Sì | 99 | rpm-md | http://download.opensuse.org/reposit...openSUSE_12.2/ |
    11 | google-talkplugin | google-talkplugin | Sì | Sì | 99 | rpm-md | http://dl.google.com/linux/talkplugin/rpm/stable/x86_64 |
    12 | home_dlmiles_qtjambi-community | QtJambi (Qt bindings for Java) (openSUSE_12.3) | No | No | 99 | rpm-md | http://download.opensuse.org/reposit...openSUSE_12.3/ |
    13 | openSUSE-12.2-1.6 | openSUSE-12.2-1.6 | Sì | No | 99 | yast2 | cd:///?devices=/dev/disk/by-id/ata-TSSTcorp_CDDVDW_SN-208BB_R8HC6GDC500CYS,/dev/sr0 |
    14 | qtjambi | qtjambi | Sì | Sì | 99 | rpm-md | http://download.opensuse.org/reposit...openSUSE_12.3/ |
    15 | repo-debug | openSUSE-12.2-Debug | No | Sì | 99 | NONE | http://download.opensuse.org/debug/d...12.2/repo/oss/ |
    16 | repo-debug-update | openSUSE-12.2-Update-Debug | No | Sì | 99 | NONE | http://download.opensuse.org/debug/update/12.2/ |
    17 | repo-debug-update-non-oss | openSUSE-12.2-Update-Debug-Non-Oss | No | Sì | 99 | NONE | http://download.opensuse.org/debug/update/12.2-non-oss/ |
    18 | repo-non-oss | openSUSE-12.2-Non-Oss | Sì | Sì | 99 | yast2 | http://download.opensuse.org/distrib.../repo/non-oss/ |
    19 | repo-oss | openSUSE-12.2-Oss | Sì | Sì | 99 | yast2 | http://download.opensuse.org/distrib...12.2/repo/oss/ |
    20 | repo-source | openSUSE-12.2-Source | No | Sì | 99 | NONE | http://download.opensuse.org/source/...12.2/repo/oss/ |
    21 | repo-update | openSUSE-12.2-Update | Sì | Sì | 99 | rpm-md | http://download.opensuse.org/update/12.2/ |
    22 | repo-update-non-oss | openSUSE-12.2-Update-Non-Oss | Sì | Sì | 99 | rpm-md | http://download.opensuse.org/update/12.2-non-oss/ |
    23 | serverhp:applications | serverhp:applications | No | Sì | 99 | rpm-md | http://download.opensuse.org/reposit...openSUSE_12.1/ |
    gabriele@linux-2zq7:~>

    I think they were the one on PlayOnLinux

  4. #4
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    29,775

    Default Re: YAST doen't open after i load a repository on version 12.3

    When you want it in English, you can do:
    Code:
    LANG=C zypper lr -d
    And please copy/paste it between CODE tags in your post. You get the CODE tags by clicking on the # button in the tool bar of the post editor.
    Henk van Velden

  5. #5

    Default Re: YAST doen't open after i load a repository on version 12.3

    Quote Originally Posted by hcvv View Post
    When you want it in English, you can do:
    Code:
    LANG=C zypper lr -d
    And please copy/paste it between CODE tags in your post. You get the CODE tags by clicking on the # button in the tool bar of the post editor.
    Code:
    gabriele@linux-2zq7:~> LANG=C zypper lr -d
    #  | Alias                          | Name                                           | Enabled | Refresh | Priority | Type   | URI                                                                                       | Service
    ---+--------------------------------+------------------------------------------------+---------+---------+----------+--------+-------------------------------------------------------------------------------------------+--------
     1 | Mono                           | Mono                                           | Yes     | Yes     |   99     | rpm-md | http://download.mono-project.com/download-stable/openSUSE_11.4                            |        
     2 | PlayOnlinux                    | PlayOnlinux                                    | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/games:/tools/openSUSE_12.3/                     |        
     3 | Play_On_Linux                  | Play On Linux                                  | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/12.3/repo/oss/                                  |        
     4 | SuSE                           | SuSE                                           | Yes     | Yes     |   99     | rpm-md | http://download.videolan.org/pub/vlc/SuSE/12.2/                                           |        
     5 | VLC                            | VLC                                            | Yes     | Yes     |   99     | rpm-md | http://download.videolan.org/pub/vlc/SuSE/12.2                                            |        
     6 | Wine                           | Wine                                           | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/Emulators:/Wine/openSUSE_12.3/                  |        
     7 | devel:tools:scm:svn            | devel:tools:scm:svn                            | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/devel:/tools:/scm:/svn/openSUSE_12.2/           |        
     8 | download.opensuse.org-database | openSUSE BuildService - Database               | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/server:/database/openSUSE_12.2/                 |        
     9 | download.opensuse.org-games    | openSUSE BuildService - Giochi                 | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/games/openSUSE_12.2/                            |        
    10 | download.opensuse.org-php      | openSUSE BuildService - PHP                    | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/server:/php/openSUSE_12.2/                      |        
    11 | google-talkplugin              | google-talkplugin                              | Yes     | Yes     |   99     | rpm-md | http://dl.google.com/linux/talkplugin/rpm/stable/x86_64                                   |        
    12 | home_dlmiles_qtjambi-community | QtJambi (Qt bindings for Java) (openSUSE_12.3) | No      | No      |   99     | rpm-md | http://download.opensuse.org/repositories/home:/dlmiles:/qtjambi-community/openSUSE_12.3/ |        
    13 | openSUSE-12.2-1.6              | openSUSE-12.2-1.6                              | Yes     | No      |   99     | yast2  | cd:///?devices=/dev/disk/by-id/ata-TSSTcorp_CDDVDW_SN-208BB_R8HC6GDC500CYS,/dev/sr0       |        
    14 | qtjambi                        | qtjambi                                        | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/dlmiles:/qtjambi-community/openSUSE_12.3/ |        
    15 | repo-debug                     | openSUSE-12.2-Debug                            | No      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/distribution/12.2/repo/oss/                            |        
    16 | repo-debug-update              | openSUSE-12.2-Update-Debug                     | No      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/update/12.2/                                           |        
    17 | repo-debug-update-non-oss      | openSUSE-12.2-Update-Debug-Non-Oss             | No      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/update/12.2-non-oss/                                   |        
    18 | repo-non-oss                   | openSUSE-12.2-Non-Oss                          | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/12.2/repo/non-oss/                              |        
    19 | repo-oss                       | openSUSE-12.2-Oss                              | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/12.2/repo/oss/                                  |        
    20 | repo-source                    | openSUSE-12.2-Source                           | No      | Yes     |   99     | NONE   | http://download.opensuse.org/source/distribution/12.2/repo/oss/                           |        
    21 | repo-update                    | openSUSE-12.2-Update                           | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/update/12.2/                                                 |        
    22 | repo-update-non-oss            | openSUSE-12.2-Update-Non-Oss                   | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/update/12.2-non-oss/                                         |        
    23 | server:php:applications        | server:php:applications                        | No      | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/server:/php:/applications/openSUSE_12.1/        |        
    gabriele@linux-2zq7:~>

  6. #6
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: YAST doen't open after i load a repository on version 12.3

    On 2014-01-13 21:16, GabrieleMartino wrote:
    >
    > wolfi323;2615699 Wrote:
    >> Apparently you have an incompatible mix of packages there.
    >> Please post your repo list:
    >>>

    > Code:
    > --------------------
    > > > zypper lr -d

    > --------------------
    >>>

    >>
    >> I think the easiest way to recover would be to remove/disable all
    >> additional repos and run "zypper dup".

    > i set beetween () the english traslation


    Two comments.

    Please use code tags for printouts and commands (the '#' button in the
    forum editor).

    View this post and the next


    Because you have not done so, the format of the command requested has
    distorted and it is very difficult to verify. You see even smileys in
    your code!


    Second comment.

    When the system language is not English, you should do,
    in order to post here, like this:


    Code:
    minas-tirith:~ # LANG=en_US.UTF-8 zypper info kvm
    Loading repository data...
    Warning: Repository 'openSUSE-11.4-Update' appears to outdated. Consider
    using a different mirror or server.
    Reading installed packages...

    or this:

    Code:
    minas-tirith:~ # LANG=C zypper info kvm
    Loading repository data...
    Warning: Repository 'openSUSE-11.4-Update' appears to outdated. Consider
    using a different mirror or server.
    Reading installed packages...
    ^C

    That way we can all read it, regardless of local languages of sender and
    reader. It is not a permanent change, it only applies to one command.


    I'll try to reconstruct some.

    Code:
    
    > gabriele@linux-2zq7:~> zypper lr -d
    > #  | Alias                          | Nome                               (Name)| Abilitato (On) | Aggiornamento (Update) | Priorità (priority)| Tipo (type)   | URI                                          | Servizio (service)
    > ---+--------------------------------+------------------------------------------------+-----------+---------------+----------+--------+-------------------------------------------------------------------------------------------+---------
    > 1 | Mono                           | Mono                               | Sì        | Sì            |   99     | rpm-md | http://download.mono-project.com/download-stable/openSUSE_11.4           |
    > 2 | PlayOnlinux                    | PlayOnlinux                        | Sì        | Sì            |   99     | rpm-md | http://download.opensuse.org/repositories/games:/tools/openSUSE_12.3/    |
    > 3 | Play_On_Linux                  | Play On Linux                      | Sì        | Sì            |   99     | yast2  | http://download.opensuse.org/distribution/12.3/repo/oss/                 |
    > 4 | SuSE                           | SuSE                               | Sì        | Sì            |   99     | rpm-md | http://download.videolan.org/pub/vlc/SuSE/12.2/                          |
    > 5 | VLC                            | VLC                                | Sì        | Sì            |   99     | rpm-md | http://download.videolan.org/pub/vlc/SuSE/12.2                           |

    This is terrible, I do not need to see more.

    You have so far one 11.4 repo, two for 12.3, two for 12.2 (and
    duplicated!)... I see below others for 12.1... This is destructive.


    My serious recommendation is to reformat and reinstall. But first learn
    about repository and system administration.




    --
    Cheers / Saludos,

    Carlos E. R.
    (from 12.3 x86_64 "Dartmouth" at Telcontar)

  7. #7
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    29,775

    Default Re: YAST doen't open after i load a repository on version 12.3

    Well, like Carlos, I am amazed. You say this is 12.3 system, but in fact it is a mixture of all versions from the last few years

    Apart from a reinstallation, you could try to remove all non 12.3 repos, switch (or may better remove) all non standard repos and then do a
    Code:
    zypper dup
    Maybe that helps.
    Henk van Velden

  8. #8
    Join Date
    Nov 2013
    Location
    Kamloops, BC, Canada
    Posts
    4,029

    Default Re: YAST doen't open after i load a repository on version 12.3

    Quote Originally Posted by hcvv View Post
    Well, like Carlos, I am amazed. You say this is 12.3 system, but in fact it is a mixture of all versions from the last few years

    Apart from a reinstallation, you could try to remove all non 12.3 repos, switch (or may better remove) all non standard repos and then do a
    Code:
    zypper dup
    Maybe that helps.
    I think this might be the best suggestion to try as a first step. If it doesn't help, then I agree with robin_listas that you should do a reformat, re-install, but read up on the use of repositories first.

    Good luck.

    -fb
    "Take a Walk on a Sunny Day, Greet everyone along the way, and Make Somebody Smile, Today"
    Gerry Jack Macks"Walk On A Sunny Day" GerryJackMacks.net

  9. #9

    Default Re: YAST doen't open after i load a repository on version 12.3

    I have downloaded the OS 13.1. So I made an upgrade, removing old repository and all change i got is the removing of localhost for apache.

    Many Thanks.

    GM

  10. #10
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: YAST doen't open after i load a repository on version 12.3

    On 2014-01-14 15:46, GabrieleMartino wrote:
    >
    > I have downloaded the OS 13.1. So I made an upgrade, removing old
    > repository and all change i got is the removing of localhost for apache.


    I don't understand a word, please expand.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 12.3 x86_64 "Dartmouth" at Telcontar)

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •